require 'thor'

require_relative 'logger'

module Kffpt
  class Main < Thor
    include Logger

    class_option :debug, type: :boolean, default: false, desc: 'Enable debugging output'
    class_option :trace, type: :boolean, default: false, desc: 'Enable tracing output'
    class_option :log, type: :string, desc: 'Log to file, not STDOUT'

    desc 'art', 'Show application art'
    def art
      puts
      puts 'kffpt'.center(SUMMARY.length-4)
      puts "v#{VERSION}".center(SUMMARY.length-4)
      puts
      puts SUMMARY
      puts "#{AUTHOR} (#{EMAIL})".center(SUMMARY.length-2)
      puts "\n\n\n"
      # We're going to center the raw art and remove the pipes
      art = ART.gsub(/^ +/, '').split("\n").map do |s|
        s.center(SUMMARY.length-4)
      end.join("\n").gsub('|',' ')
      puts art
      puts "\n\n\n"
    end

    desc 'version', 'Show application version'
    def version
      puts VERSION
    end
  end
end